Loader / Spinner

Bootstrap loader / spinner

Note: We are transitioning MDB4 to a legacy version and focusing on developing MDB5. While we'll continue to support for the transition period, we encourage you to migrate to MDB5. We're offering a huge discount on MDB5 PRO to help with your transition, enabling you to leverage the full potential of the latest version. You can find more information here.
upgrade with discount

Preloaders (also known as loaders) are simple animations that are used to keep visitors entertained while the page is still loading - this helps to enhance the user experience.

Bootstrap “spinners” can be used to show the loading state in your projects. They’re built only with HTML and CSS, meaning you don’t need any JavaScript to create them. You will, however, need some custom JavaScript to toggle their visibility. Their appearance, alignment, and sizing can be easily customized with our amazing utility classes.

For accessibility purposes, each loader here includes role="status" and a nested Loading....


Default loader

Use a border spinner for a lightweight loading indicator.

        
            
              <div class="spinner-border" role="status">
                <span class="sr-only">Loading...</span>
              </div>
            
        
    

Material loader MDB Pro component

Material Design styling for the Bootstrap Loader component

        
            
              <!--Big blue-->
              <div class="preloader-wrapper active">
                <div class="spinner-layer spinner-blue-only">
                  <div class="circle-clipper left">
                    <div class="circle"></div>
                  </div>
                  <div class="gap-patch">
                    <div class="circle"></div>
                  </div>
                  <div class="circle-clipper right">
                    <div class="circle"></div>
                  </div>
                </div>
              </div>
            
        
    

Loader colors

The default spinner uses currentColor for its border-color, meaning you can customize the color with text color utilities. You can use any of our text color utilities on the standard spinner.

Default loader

Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
        
            
              <div class="spinner-border text-primary" role="status">
                <span class="sr-only">Loading...</span>
              </div>
              <div class="spinner-border text-secondary" role="status">
                <span class="sr-only">Loading...</span>
              </div>
              <div class="spinner-border text-success" role="status">
                <span class="sr-only">Loading...</span>
              </div>
              <div class="spinner-border text-danger" role="status">
                <span class="sr-only">Loading...</span>
              </div>
              <div class="spinner-border text-warning" role="status">
                <span class="sr-only">Loading...</span>
              </div>
              <div class="spinner-border text-info" role="status">
                <span class="sr-only">Loading...</span>
              </div>
              <div class="spinner-border text-light" role="status">
                <span class="sr-only">Loading...</span>
              </div>
              <div class="spinner-border text-dark" role="status">
                <span class="sr-only">Loading...</span>
              </div>
            
        
    

Material loader MDB Pro component

        
            
            <!--Medium red-->
            <div class="preloader-wrapper big active">
              <div class="spinner-layer spinner-red-only">
                <div class="circle-clipper left">
                  <div class="circle"></div>
                </div>
                <div class="gap-patch">
                  <div class="circle"></div>
                </div>
                <div class="circle-clipper right">
                  <div class="circle"></div>
                </div>
              </div>
            </div>

            <!--Big blue-->
            <div class="preloader-wrapper big active">
              <div class="spinner-layer spinner-blue-only">
                <div class="circle-clipper left">
                  <div class="circle"></div>
                </div>
                <div class="gap-patch">
                  <div class="circle"></div>
                </div>
                <div class="circle-clipper right">
                  <div class="circle"></div>
                </div>
              </div>
            </div>

            <!--Small yellow-->
            <div class="preloader-wrapper big active">
              <div class="spinner-layer spinner-yellow-only">
                <div class="circle-clipper left">
                  <div class="circle"></div>
                </div>
                <div class="gap-patch">
                  <div class="circle"></div>
                </div>
                <div class="circle-clipper right">
                  <div class="circle"></div>
                </div>
              </div>
            </div>

            <!--Small yellow-->
            <div class="preloader-wrapper big active">
              <div class="spinner-layer spinner-green-only">
                <div class="circle-clipper left">
                  <div class="circle"></div>
                </div>
                <div class="gap-patch">
                  <div class="circle"></div>
                </div>
                <div class="circle-clipper right">
                  <div class="circle"></div>
                </div>
              </div>
            </div>

            <div class="preloader-wrapper big active">
              <div class="spinner-layer spinner-blue">
                <div class="circle-clipper left">
                  <div class="circle"></div>
                </div>
                <div class="gap-patch">
                  <div class="circle"></div>
                </div>
                <div class="circle-clipper right">
                  <div class="circle"></div>
                </div>
              </div>
              <div class="spinner-layer spinner-red">
                <div class="circle-clipper left">
                  <div class="circle"></div>
                </div>
                <div class="gap-patch">
                  <div class="circle"></div>
                </div>
                <div class="circle-clipper right">
                  <div class="circle"></div>
                </div>
              </div>
              <div class="spinner-layer spinner-yellow">
                <div class="circle-clipper left">
                  <div class="circle"></div>
                </div>
                <div class="gap-patch">
                  <div class="circle"></div>
                </div>
                <div class="circle-clipper right">
                  <div class="circle"></div>
                </div>
              </div>
              <div class="spinner-layer spinner-green">
                <div class="circle-clipper left">
                  <div class="circle"></div>
                </div>
                <div class="gap-patch">
                  <div class="circle"></div>
                </div>
                <div class="circle-clipper right">
                  <div class="circle"></div>
                </div>
              </div>
            </div>
          
        
    

Why not use border-color utilities? Each border spinner specifies a transparent border for at least one side, so .border-{color} utilities would override that.


Growing spinner

If you don’t fancy a border spinner, switch to the grow spinner. While it doesn’t technically spin, it does repeatedly grow!

        
            
              <div class="spinner-grow" role="status">
                <span class="sr-only">Loading...</span>
              </div>
            
        
    

Once again, this spinner is built with currentColor, so you can easily change its appearance with text color utilities. Here it is in blue, along with the supported variants.

Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
        
            

              <div class="spinner-grow text-primary" role="status">
                <span class="sr-only">Loading...</span>
              </div>
              <div class="spinner-grow text-secondary" role="status">
                <span class="sr-only">Loading...</span>
              </div>
              <div class="spinner-grow text-success" role="status">
                <span class="sr-only">Loading...</span>
              </div>
              <div class="spinner-grow text-danger" role="status">
                <span class="sr-only">Loading...</span>
              </div>
              <div class="spinner-grow text-warning" role="status">
                <span class="sr-only">Loading...</span>
              </div>
              <div class="spinner-grow text-info" role="status">
                <span class="sr-only">Loading...</span>
              </div>
              <div class="spinner-grow text-light" role="status">
                <span class="sr-only">Loading...</span>
              </div>
              <div class="spinner-grow text-dark" role="status">
                <span class="sr-only">Loading...</span>
              </div>

            
        
    

Alignment

Spinners in Bootstrap are built with rems, currentColor, and display: inline-flex. This means they can easily be resized, recolored, and quickly aligned.

Margin

Use margin utilities like .m-5 for easy spacing.

        
            
          <div class="spinner-border m-5" role="status">
            <span class="sr-only">Loading...</span>
          </div>
        
        
    

Placement

Use flexbox utilities, float utilities, or text alignment utilities to place spinners exactly where you need them in any situation.

Flex

        
            
          <div class="d-flex justify-content-center">
            <div class="spinner-border" role="status">
              <span class="sr-only">Loading...</span>
            </div>
          </div>
        
        
    
        
            
          <div class="d-flex align-items-center">
            <strong>Loading...</strong>
            <div class="spinner-border ml-auto" role="status" aria-hidden="true"></div>
          </div>
        
        
    

Floats

        
            
          <div class="clearfix">
            <div class="spinner-border float-right" role="status">
              <span class="sr-only">Loading...</span>
            </div>
          </div>
        
        
    

Text align

        
            
          <div class="text-center">
            <div class="spinner-border" role="status">
              <span class="sr-only">Loading...</span>
            </div>
          </div>
        
        
    

Loader sizing

You can set different sizes of loaders, both default and material ones.

For default spinners add .spinner-border-sm and .spinner-grow-sm to make a smaller spinner that can quickly be used within other components or, use custom CSS or inline styles to change the dimensions as needed.

Default loader

Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
        
            
              <div class="spinner-border spinner-border-sm" role="status">
                  <span class="sr-only">Loading...</span>
              </div>
              <div class="spinner-grow spinner-grow-sm" role="status">
                <span class="sr-only">Loading...</span>
              </div>

              <div class="spinner-border" role="status">
                <span class="sr-only">Loading...</span>
              </div>
              <div class="spinner-grow" role="status">
                <span class="sr-only">Loading...</span>
              </div>

              <div class="spinner-border" style="width: 3rem; height: 3rem;" role="status">
                <span class="sr-only">Loading...</span>
              </div>
              <div class="spinner-grow" style="width: 3rem; height: 3rem;" role="status">
                <span class="sr-only">Loading...</span>
              </div>
            
        
    

Material loader MDB Pro component

        
            
            <!--Big blue-->
            <div class="preloader-wrapper big active">
              <div class="spinner-layer spinner-blue-only">
                <div class="circle-clipper left">
                  <div class="circle"></div>
                </div>
                <div class="gap-patch">
                  <div class="circle"></div>
                </div>
                <div class="circle-clipper right">
                  <div class="circle"></div>
                </div>
              </div>
            </div>

            <!--Medium red-->
            <div class="preloader-wrapper active">
              <div class="spinner-layer spinner-blue-only">
                <div class="circle-clipper left">
                  <div class="circle"></div>
                </div>
                <div class="gap-patch">
                  <div class="circle"></div>
                </div>
                <div class="circle-clipper right">
                  <div class="circle"></div>
                </div>
              </div>
            </div>


            <!--Small yellow-->
            <div class="preloader-wrapper small active">
              <div class="spinner-layer spinner-blue-only">
                <div class="circle-clipper left">
                  <div class="circle"></div>
                </div>
                <div class="gap-patch">
                  <div class="circle"></div>
                </div>
                <div class="circle-clipper right">
                  <div class="circle"></div>
                </div>
              </div>
            </div>
          
        
    

Loader speed

You can also set different speeds of loader, both default and material ones.

Default loader

Loading...
Loading...
        
            

                <div class="spinner-border fast" role="status">
                  <span class="sr-only">Loading...</span>
                </div>
                <div class="spinner-grow fast" role="status">
                  <span class="sr-only">Loading...</span>
                </div>

            
        
    

Material loader MDB Pro component

        
            
              <!--Big blue-->
              <div class="preloader-wrapper big active crazy">
                <div class="spinner-layer spinner-blue-only">
                  <div class="circle-clipper left">
                    <div class="circle"></div>
                  </div>
                  <div class="gap-patch">
                    <div class="circle"></div>
                  </div>
                  <div class="circle-clipper right">
                    <div class="circle"></div>
                  </div>
                </div>
              </div>
            
        
    

Preloading script MDB Pro component

Click the button below to see Preloading Script in action

Live demo

Usage

Immediately below the opening <body> tag put the following code.

        
            
        <div id="mdb-preloader" class="flex-center">
          <div id="preloader-markup">
          </div>
        </div>
      
        
    

The script runs until your page is fully loaded.

To change the Preloader go to mdb-addons/preloader.html in the folder of your unzipped MDB package and replace the existing (default) code with the new Preloader.

Default code

        
            

        <div class="preloader-wrapper big active crazy">
          <div class="spinner-layer spinner-blue-only">
            <div class="circle-clipper left">
              <div class="circle"></div>
            </div>
            <div class="gap-patch">
              <div class="circle"></div>
            </div>
            <div class="circle-clipper right">
              <div class="circle"></div>
            </div>
          </div>
        </div>

      
        
    

Buttons

Use spinners within buttons to indicate that an action is currently processing or taking place. You may also swap the text out of the spinner element and utilize button text as needed.

Default loader

        
            
              <button class="btn btn-primary" type="button" disabled>
                <span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>
                <span class="sr-only">Loading...</span>
              </button>
              <button class="btn btn-primary" type="button" disabled>
                <span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>
                Loading...
              </button>
            
        
    
        
            
              <button class="btn btn-primary" type="button" disabled>
                <span class="spinner-grow spinner-grow-sm" role="status" aria-hidden="true"></span>
                <span class="sr-only">Loading...</span>
              </button>
              <button class="btn btn-primary" type="button" disabled>
                <span class="spinner-grow spinner-grow-sm" role="status" aria-hidden="true"></span>
                Loading...
              </button>
          
        
    

You can connect buttons and spinners/loaders using JavaScript.

        
            
              <button type="button" id="btn-one" class="btn btn-primary">Click me!</button>
            
        
    
        
            

            $('#btn-one').click(function() {
              $('#btn-one').html('<span class="spinner-border spinner-border-sm mr-2" role="status" aria-hidden="true"></span>Loading...').addClass('disabled');
            });

Vue Bootstrap Loader/Spinner

Vue Loader/Spinner - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Preloaders (also known as loaders) are simple animations that are used to keep visitors entertained while the page is still loading, which helps to increase the user experience.

Bootstrap “spinners” can be used to show the loading state in your projects. They’re built only with HTML and CSS, meaning you don’t need any JavaScript to create them. You will, however, need some custom JavaScript to toggle their visibility. Their appearance, alignment, and sizing can be easily customized with our amazing utility classes.

For accessibility purposes, each loader here includes role="status" and a nested Loading....


Default loader

Use the border spinners for a lightweight loading indicator.

Loading...
        
            
              <template>
                <div class="spinner-border" role="status">
                  <span class="sr-only">Loading...</span>
                </div>
              </template>
          
        
    

Material loader MDB Pro component

Material Design styling for Bootstrap Loader component

        
            
              <template>
                <!--Blue-->
                <mdb-spinner />
              </template>
            
        
    
        
            
              <script>
                import { mdbSpinner } from 'mdbvue';
                export default {
                  name: 'PageLoader',
                  components: {
                    mdbSpinner                
                  }
                }
              </script>
          
        
    

Loader colors

The default spinner uses currentColor for its border-color, meaning you can customize the color with text color utilities. You can use any of our text color utilities on the standard spinner.

Default loader

Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
        
            
              <template>
                <div class="spinner-border text-primary" role="status">
                  <span class="sr-only">Loading...</span>
                </div>
                <div class="spinner-border text-secondary" role="status">
                  <span class="sr-only">Loading...</span>
                </div>
                <div class="spinner-border text-success" role="status">
                  <span class="sr-only">Loading...</span>
                </div>
                <div class="spinner-border text-danger" role="status">
                  <span class="sr-only">Loading...</span>
                </div>
                <div class="spinner-border text-warning" role="status">
                  <span class="sr-only">Loading...</span>
                </div>
                <div class="spinner-border text-info" role="status">
                  <span class="sr-only">Loading...</span>
                </div>
                <div class="spinner-border text-light" role="status">
                  <span class="sr-only">Loading...</span>
                </div>
                <div class="spinner-border text-dark" role="status">
                  <span class="sr-only">Loading...</span>
                </div>
              </template>
          
        
    

Material loader MDB Pro component

        
            
              <template>
                <div>
                  <mdb-spinner big color="red" />
                  <mdb-spinner big color="blue" />
                  <mdb-spinner big color="yellow" />
                  <mdb-spinner big color="green" />
                  <mdb-spinner big multicolor />
                </div>
              </template>
            
        
    
        
            
              <script>
                import { mdbSpinner } from 'mdbvue';
                export default {
                  name: 'PageLoader',
                  components: {
                    mdbSpinner                
                  }
                }
              </script>
          
        
    

Why not use border-color utilities? Each border spinner specifies a transparent border for at least one side, so .border-{color} utilities would override that.


Growing spinner

If you don’t fancy a border spinner, switch to the grow spinner. While it doesn’t technically spin, it does repeatedly grow!

Loading...
        
            
              <template>
                <div class="spinner-grow" role="status">
                  <span class="sr-only">Loading...</span>
                </div>
              </template>
          
        
    

Once again, this spinner is built with currentColor, so you can easily change its appearance with text color utilities. Here it is in blue, along with the supported variants.

Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
        
            
              <template>
                <div>
                  <div class="spinner-grow text-primary" role="status">
                    <span class="sr-only">Loading...</span>
                  </div>
                  <div class="spinner-grow text-secondary" role="status">
                    <span class="sr-only">Loading...</span>
                  </div>
                  <div class="spinner-grow text-success" role="status">
                    <span class="sr-only">Loading...</span>
                  </div>
                  <div class="spinner-grow text-danger" role="status">
                    <span class="sr-only">Loading...</span>
                  </div>
                  <div class="spinner-grow text-warning" role="status">
                    <span class="sr-only">Loading...</span>
                  </div>
                  <div class="spinner-grow text-info" role="status">
                    <span class="sr-only">Loading...</span>
                  </div>
                  <div class="spinner-grow text-light" role="status">
                    <span class="sr-only">Loading...</span>
                  </div>
                  <div class="spinner-grow text-dark" role="status">
                    <span class="sr-only">Loading...</span>
                  </div>
                </div>
              </template>
          
        
    

Alignment

Spinners in Bootstrap are built with rems, currentColor, and display: inline-flex. This means they can easily be resized, recolored, and quickly aligned.

Margin

Use margin utilities like .m-5 for easy spacing.

Loading...
        
            
          <template>
            <div class="spinner-border m-5" role="status">
              <span class="sr-only">Loading...</span>
            </div>
          </template>
      
        
    

Placement

Use flexbox utilities, float utilities, or text alignment utilities to place spinners exactly where you need them in any situation.

Flex

Loading...
        
            
            <template>
              <div class="d-flex justify-content-center">
                <div class="spinner-border" role="status">
                  <span class="sr-only">Loading...</span>
                </div>
              </div>
            </template>
        
        
    
Loading...
        
            
          <template>
            <div class="d-flex align-items-center">
              <strong>Loading...</strong>
              <div class="spinner-border ml-auto" role="status" aria-hidden="true"></div>
            </div>
          </template>
      
        
    

Floats

Loading...
        
            
          <template>
            <div class="clearfix">
              <div class="spinner-border float-right" role="status">
                <span class="sr-only">Loading...</span>
              </div>
            </div>
          </template>
      
        
    

Text align

Loading...
        
            
          <template>
            <div class="text-center">
              <div class="spinner-border" role="status">
                <span class="sr-only">Loading...</span>
              </div>
            </div>
          </template>
      
        
    

Loader sizing

You can set different sizes of loader, both default and material ones.

For default spinner add .spinner-border-sm and .spinner-grow-sm to make a smaller spinner that can quickly be used within other components or, use custom CSS or inline styles to change the dimensions as needed.

Default loader

Loading...
Loading...
Loading...
Loading...
Loading...
Loading...
        
            
              <template>
                <div>
                  <div class="spinner-border spinner-border-sm" role="status">
                    <span class="sr-only">Loading...</span>
                  </div>
                  <div class="spinner-grow spinner-grow-sm" role="status">
                    <span class="sr-only">Loading...</span>
                  </div>
          
                  <div class="spinner-border" role="status">
                    <span class="sr-only">Loading...</span>
                  </div>
                  <div class="spinner-grow" role="status">
                    <span class="sr-only">Loading...</span>
                  </div>
          
                  <div class="spinner-border" style="width: 3rem; height: 3rem;" role="status">
                    <span class="sr-only">Loading...</span>
                  </div>
                  <div class="spinner-grow" style="width: 3rem; height: 3rem;" role="status">
                    <span class="sr-only">Loading...</span>
                  </div>
                </div>
              </template>
          
        
    

Material loader MDB Pro component

        
            
              <template>
                <div>
                  <mdb-spinner big />
                  <mdb-spinner />
                  <mdb-spinner small />
                </div>
              </template>
            
        
    
        
            
              <script>
                import { mdbSpinner } from 'mdbvue';
                export default {
                  name: 'PageLoader',
                  components: {
                    mdbSpinner                
                  }
                }
              </script>
          
        
    

Loader speed

You can also set different speed of loader, both default and material ones.

Default loader

Loading...
Loading...
        
            
              <template>
                <div>
                  <div class="spinner-border fast" role="status">
                    <span class="sr-only">Loading...</span>
                  </div>
                  <div class="spinner-grow fast" role="status">
                    <span class="sr-only">Loading...</span>
                  </div>
                </div>
              </template>
          
        
    

Material loader MDB Pro component

        
            
              <template>
                <mdb-spinner big crazy />
              </template>
            
        
    
        
            
              <script>
                import { mdbSpinner } from 'mdbvue';
                export default {
                  name: 'PageLoader',
                  components: {
                    mdbSpinner                
                  }
                }
              </script>
          
        
    

Buttons

Use spinners within buttons to indicate an action is currently processing or taking place. You may also swap the text out of the spinner element and utilize button text as needed.

Default loader

        
            
                <template>
                  <div>
                    <mdb-btn color="primary" disabled>
                      <span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>
                      <span class="sr-only">Loading...</span>
                    </mdb-btn>
                    <mdb-btn color="primary" disabled>
                      <span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>
                      Loading...
                    </mdb-btn>
                  </div>
                </template>
              
        
    
        
            
                <script>
                  import { mdbBtn } from 'mdbvue';
                  export default {
                    name: 'PageLoader',
                    components: {
                      mdbBtn                
                    }
                  }
                </script>
            
        
    
        
            
              <template>
                <div>
                  <mdb-btn color="primary" disabled>
                    <span class="spinner-grow spinner-grow-sm" role="status" aria-hidden="true"></span>
                    <span class="sr-only">Loading...</span>
                  </mdb-btn>
                  <mdb-btn color="primary" disabled>
                    <span class="spinner-grow spinner-grow-sm" role="status" aria-hidden="true"></span>
                    Loading...
                  </mdb-btn>
                </div>
              </template>
            
        
    
        
            
              <script>
                import { mdbBtn } from 'mdbvue';
                export default {
                  name: 'PageLoader',
                  components: {
                    mdbBtn                
                    }
                }
              </script>
          
        
    

Vue Loader/Spinner - API

In this section you will find advanced information about the Loader/Spinner component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


Import statement

        
            
      <script>
        import { mdbSpinner } from 'mdbvue';
      </script>
    
        
    

API Reference: Properties

Name Type Default Description Example
big Boolean false Changes spinner's size to big <mdb-spinner big />
color String 'blue' Changes spinner's color <mdb-spinner color="red" />
crazy Boolean false Changes spinner's animation speed to fast <mdb-spinner crazy />
multicolor Boolean false Changes spinner's color theme to multicolor <mdb-spinner multicolor />
small Boolean false Changes spinner's size to small <mdb-spinner small />
tag String 'div' Changes spinner's tag <mdb-spinner tag="p" />

React Bootstrap Loader

React Loader - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

React Bootstrap loader is animation that is used to keep visitors entertained while the page is still loading, which helps to increase the user experience.

Default loader

Default styling for React Bootstrap Loader component

Loading...
        
            
            import React from "react";

            const SpinnerPage = () => {
              return (
                <>
                  <div className="spinner-border" role="status">
                    <span className="sr-only">Loading...</span>
                  </div>
                </>
              );
            }

            export default SpinnerPage;
                  
        
    

Material loader MDB Pro component

Material Design styling for React Bootstrap Loader component

        
            
            import React from "react";
            import { MDBSpinner } from 'mdbreact';

            const SpinnerPage = () => {
              return (
                <>
                  <MDBSpinner />
                </>
              );
            }

            export default SpinnerPage;
                  
        
    

Loader colors

The default spinner uses currentColor for its border-color, meaning you can customize the color with text color utilities. You can use any of our text color utilities on the standard spinner.

Default loader

Loading...
Loading...
Loading...
Loading...
Loading...
        
            
            import React from "react";

            const SpinnerPage = () => {
              return (
                <>
                  <div className="spinner-border text-primary" role="status">
                    <span className="sr-only">Loading...</span>
                  </div>
                  <div className="spinner-border text-success" role="status">
                    <span className="sr-only">Loading...</span>
                  </div>
                  <div className="spinner-border text-danger" role="status">
                    <span className="sr-only">Loading...</span>
                  </div>
                  <div className="spinner-border text-warning" role="status">
                    <span className="sr-only">Loading...</span>
                  </div>
                  <div className="spinner-border text-info" role="status">
                    <span className="sr-only">Loading...</span>
                  </div>
                </>
              );
            }

            export default SpinnerPage;
                  
        
    

Material loader MDB Pro component

        
            
              import React from "react";
              import { MDBSpinner } from 'mdbreact';

              const SpinnerPage = () => {
                return (
                  <>
                    <MDBSpinner red />
                    <MDBSpinner />
                    <MDBSpinner yellow />
                    <MDBSpinner green />
                    <MDBSpinner multicolor />
                  </>
                );
              }

              export default SpinnerPage;
                  
        
    

Why not use border-color utilities? Each border spinner specifies a transparent border for at least one side, so .border-{color} utilities would override that.


Growing loader

If you don't fancy a border spinner, switch to the growing loader. While it doesn't technically spin, it does repeatedly grow!

Loading...
Loading...
Loading...
Loading...
Loading...
        
            
            import React from "react";

            const SpinnerPage = () => {
              return (
                <>
                  <div className="spinner-grow text-primary" role="status">
                    <span className="sr-only">Loading...</span>
                  </div>
                  <div className="spinner-grow text-success" role="status">
                    <span className="sr-only">Loading...</span>
                  </div>
                  <div className="spinner-grow text-danger" role="status">
                    <span className="sr-only">Loading...</span>
                  </div>
                  <div className="spinner-grow text-warning" role="status">
                    <span className="sr-only">Loading...</span>
                  </div>
                  <div className="spinner-grow text-info" role="status">
                    <span className="sr-only">Loading...</span>
                  </div>
                </>
              );
            }

            export default SpinnerPage;
                  
        
    

Loader sizing

You can set different sizes of loader, both default and material ones.

Default loader

Loading...
Loading...
Loading...
Loading...
        
            
            import React from "react";

            const SpinnerPage = () => {
              return (
                <>
                  <div className="spinner-border spinner-border-sm" role="status">
                    <span className="sr-only">Loading...</span>
                  </div>
                  <div className="spinner-grow spinner-grow-sm" role="status">
                    <span className="sr-only">Loading...</span>
                  </div>

                  <div className="spinner-border" role="status">
                    <span className="sr-only">Loading...</span>
                  </div>
                  <div className="spinner-grow" role="status">
                    <span className="sr-only">Loading...</span>
                  </div>
                </>
              );
            }

            export default SpinnerPage;
                  
        
    

Material loader MDB Pro component

        
            
            import React from "react";
            import { MDBSpinner } from 'mdbreact';

            const SpinnerPage = () => {
              return (
                <>
                  <MDBSpinner big />
                  <MDBSpinner />
                  <MDBSpinner small />
                </>
              );
            }

            export default SpinnerPage;
                  
        
    

Loader speed

You can also set different speed of loader, both default and material ones.

Default loader

Loading...
Loading...
        
            
            import React from "react";

            const SpinnerPage = () => {
              return (
                <>
                  <div className="spinner-border fast" role="status">
                    <span className="sr-only">Loading...</span>
                  </div>
                  <div className="spinner-grow fast ml-3" role="status">
                    <span className="sr-only">Loading...</span>
                  </div>
                </>
              );
            }

            export default SpinnerPage;
                  
        
    

Material loader MDB Pro component

        
            
            import React from "react";
            import { MDBSpinner } from 'mdbreact';

            const SpinnerPage = () => {
              return (
                <>
                  <MDBSpinner crazy />
                </>
              );
            }

            export default SpinnerPage;
                  
        
    

React Loader - API

In this section you will find advanced information about the Spinner component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


Import statement

        
            
          import { MDBSpinner } from 'mdbreact';
        
        
    

API Reference: Spinner Properties

The table below shows the configuration options of the MDBSpinner component.

Name Type Default Description Example
big Boolean false Increases the size of spienner to 4rem in diameter - normal size is 3rem in diameter <MDBSpinner big />
className String Sets custom classes <MDBSpinner className="card" />
crazy Boolean false Accelerates up the spinner to the crazy limits of speed <MDBSpinner crazy />
green Boolean false Sets green color of the spinner (blue by default) <MDBSpinner green />
multicolor Boolean false Spinner changes color after every cycle <MDBSpinner multicolor />
red Boolean false Sets red color of the spinner (blue by default) <MDBSpinner red />
small Boolean false Lowers the size of spienner to 2.25rem in diameter - normal size is 3rem in diameter <MDBSpinner big />
yellow Boolean false Sets yellow color of the spinner (blue by default) <MDBSpinner yellow />
tag String div Changes default tag <MDBSpinner tag="div" />